Paginated list of Videos
curl --request GET \
--url https://api.argil.ai/v1/videos \
--header 'x-api-key: <api-key>'import requests
url = "https://api.argil.ai/v1/videos"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.argil.ai/v1/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"totalPages": 123,
"currentPage": 123,
"itemsPerPage": 123,
"videos": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"duration": 123,
"moments": [
{
"transcript": "<string>",
"avatarId": "<string>",
"voiceId": "<string>",
"audioUrl": "<string>",
"videoUrl": "<string>",
"gestureSlug": "<string>",
"zoom": {},
"broll": {
"zoom": {}
}
}
],
"videoUrl": "<string>",
"videoUrlSubtitled": "<string>",
"previewUrl": "<string>",
"aspectRatio": "16:9",
"subtitles": {
"enable": true
},
"extras": {}
}
]
}{
"code": 123,
"message": "<string>"
}Videos
Paginated list of Videos
Returns a paginated array of Videos
GET
/
videos
Paginated list of Videos
Authorizations
API key to be included in the x-api-key header
Query Parameters
Page number of the video list
Number of videos per page
Filter videos by name, case-insensitive substring match.
Filter videos by avatar ID.
Filter videos by voice ID.
A JSON string representing filters to apply on the extras JSON field. Must be a valid JSON object as a string, specifying properties and values to match.
Example:
"{\"X_ID\": \"YOUR_CUSTOM_ID\"}"
Was this page helpful?
